package jp.co.riiiver.sdk.sample

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import com.riiiver.sdk.ersdk.ERApplet
import com.riiiver.sdk.ersdk.ERPersonalInformationView
import com.riiiver.sdk.ersdk.ERPersonalInformationViewDelegate
import kotlinx.android.synthetic.main.fragment_personal_info.*
import kotlinx.android.synthetic.main.fragment_store.back
import timber.log.Timber

class PersonalInfoFragment : Fragment(), ERPersonalInformationViewDelegate{

    private lateinit var personalInfoView: ERPersonalInformationView

    var iiidea: ERApplet? = null

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.fragment_personal_info, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        Timber.d("in")
        back.setOnClickListener {
            Timber.d("back")
            back()
        }

        if (iiidea != null) {
            // PreferencesのViewを生成
            personalInfoView = ERPersonalInformationView(context)

            // Preference画面読み込み
            personalInfoView.load(iiidea, this)

            webPersonalInfo.addView(personalInfoView)
        } else {
            Timber.e("applet is null.")
        }
    }

    override fun closeView(applet: ERApplet?) {
        back()
    }

    override fun personalInfoAllowed(applet: ERApplet?) {
        back()
    }

    private fun back() {
        parentFragmentManager.popBackStack()
    }
}