package jp.co.riiiver.sdk.sample

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.webkit.WebView
import androidx.fragment.app.Fragment
import com.riiiver.auth.IERAuthProfileWebViewDelegate
import kotlinx.android.synthetic.main.fragment_profile.*
import kotlinx.android.synthetic.main.fragment_store.back
import timber.log.Timber


class ProfileFragment : Fragment() {
    var isLogout = false

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.fragment_profile, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        Timber.d("in")
        back.setOnClickListener {
            Timber.d("logout")
            back()
        }

        // プロフィール画面表示  -  Display the webview for the profile.
        RiiiverSDKManager.openProfile(webProfile, object : IERAuthProfileWebViewDelegate {
            override fun onLogout() {
                // プロフィール画面上でログアウトされた時に呼ばれる
                isLogout = true
            }

            override fun onError(error: Exception) {
                Timber.e("onError in: error %s", error.message)
            }
        })
    }

    private fun screenTransition() {
        if (isLogout) {
            // ログイン画面を表示
            val mainActivity: MainActivity = requireActivity() as MainActivity
            mainActivity.startWebLogin()
        }
        parentFragmentManager.popBackStack()
    }

    private fun back() {
        screenTransition()
    }
}