package jp.co.riiiver.sdk.sample

import android.content.Intent
import android.net.Uri
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import com.riiiver.auth.IERAuthStoreWebViewDelegate
import kotlinx.android.synthetic.main.fragment_store.*
import timber.log.Timber

class StoreFragment : Fragment() {

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.fragment_store, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        Timber.d("in")
        back.setOnClickListener {
            Timber.d("logout")
            back()
        }

        // Web認証画面表示  -  Display the webview for the authentication.
        RiiiverSDKManager.openStore(webStore, object : IERAuthStoreWebViewDelegate {
            override fun openUrl(uri: Uri?) {
                Timber.d("openUrl in")
                val intent = Intent(Intent.ACTION_VIEW, uri)
                requireActivity().startActivity(intent)
            }

            override fun onError(error: Exception) {
                Timber.e("onError in: error %s", error.message)
            }
        })
    }

    private fun back() {
        parentFragmentManager.popBackStack()
    }
}