package jp.co.riiiver.sdk.sample.piececore

import android.content.Context
import com.riiiver.sdk.ersdk.Completion1
import com.riiiver.sdk.ersdk.executor.ERActionBlockExecutor
import org.json.JSONObject
import timber.log.Timber

class ActionPieceCoreSample2(val context: Context) : ERActionBlockExecutor {

    override fun execute(
        appletId: String?,
        blockJsonString: String?,
        preferenceJson: JSONObject?,
        inputJson: JSONObject?,
        completionHandler: Completion1<MutableMap<String, Any>>?
    ) {
        Timber.d("ActionPieceCoreSample2 inputJson: $inputJson, preferenceJson: $preferenceJson")
        inputJson?.also {
            val outputJson = mutableMapOf(Pair("actionSampleInfo", inputJson.get("sampleInfo")))
            completionHandler?.also {
                completionHandler.accept(outputJson, null)
            }
        }
    }
}