package jp.co.riiiver.sdk.sample.piececore

import android.content.Context
import com.riiiver.sdk.ersdk.Completion1
import com.riiiver.sdk.ersdk.executor.ERServiceBlockExecutor
import org.json.JSONObject
import timber.log.Timber


class ServicePieceCoreSample(val context: Context) : ERServiceBlockExecutor {

    override fun execute(
        appletId: String?,
        blockJsonString: String?,
        preferenceJson: JSONObject?,
        inputJson: JSONObject?,
        completionHandler: Completion1<MutableMap<String, Any>>?
    ) {
        Timber.d("ServicePieceCoreSample inputJson: $inputJson, preferenceJson: $preferenceJson")

        inputJson?.also {
            // iunputとして受け取った情報をそのまま次のPieceへ渡す
            //Input value goes through to the next piece as an output as it is
            val outputJson = mutableMapOf(Pair("serviceSampleInfo", inputJson.get("sampleInfo")))

            completionHandler?.also {
                completionHandler.accept(outputJson, null)
            }
        }
    }
}